      LOGICAL FUNCTION ISTPCK(ITIME,ISTEP)
      implicit none
C     ****     CHECK FOR
C     ****     TIME NOT A MULTIPLE OF ISTEP
      integer,intent(in) :: ITIME(3),istep
      SAVE
      ISTPCK=MOD(((ITIME(1)*24+ITIME(2))*60+ITIME(3))*60,ISTEP).
     1NE.0
      RETURN
      END
C
